Get an L4 Load Balancer

GET/v1/load_balancers/l4/{id}

A GET request sent to the /v1/load_balancers/l4/{id} endpoint will retrieve details of an L4 balancer specified in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

A unique identifier of a balancer.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/load_balancers/l4/Jrb2kKdW"
{  "id": "Jrb2kKdW",  "name": "name668",  "type": "l4",  "status": "pending",  "external_addresses": [    "101.0.0.44"  ],  "location_id": 636,  "proxy_protocol_enabled": false,  "store_logs": false,  "vhost_zones": [    {      "id": "string71",      "udp": false,      "ports": [        333      ],      "acl_list": [        "127.1.100.0/24"      ],      "acl_allow": false,      "description": "string72",      "upstream_id": "string70",      "proxy_protocol": false    }  ],  "upstream_zones": [    {      "id": "string70",      "udp": false,      "method": "least_conn",      "hc_fails": 1,      "hc_jitter": 3,      "hc_passes": 3,      "upstreams": [        {          "ip": "10.0.8.4",          "port": 332,          "weight": 1,          "max_conns": 63000,          "max_fails": 0,          "fail_timeout": 30,          "status": "online"        }      ],      "hc_interval": 3000    }  ],  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "cluster_id": null,  "shared_cluster": true,  "created_at": "2026-05-28T06:59:25Z",  "updated_at": "2026-05-28T06:59:25Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}